Subject: Re: bug#53151: Bug: Overlapping Partitions

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 10 Jan 2022 14:23:29 -0800

On Sun, Jan 09, 2022 at 02:50:55PM -0500, AE x Lemur wrote:
> I think I found a bug in v3.4 of GNU Parted.
> 
> This was my issue, put in removable media that had old Root and Home
> labelled partitions but they were mounted at /media/USER/xxxx.  I wanted to
> format and i got an error about overlapping partitions.
> 
> I used sfdisk to check my sectors start and end.
> 
> I outputted the partition table data to a text file and edited the overlap
> as I did find one on /dev/sdb. I used sfdisk -d /dev/sdb >
> ~/Desktop/sdb-backup.txt
> 
> After editing this text file to fix the overlap as my sdb1 end overlapped
> my sdb2 start, i re fed the new partition data back in with
> 
> sfdisk /dev/sdb < ~/Desktop/sdb-backup.txt
> 
> After being confident i fixed the overlap that was causing Parteds GUI to
> not open and the partitions were resized after feeding new adjusted data
> sectors to the disks with sfdisk,
> 
> I got this print out when using a command: parted /dev/sdb unit s print  to
> confirm the changes took place.  My terminal spit this out

That means that whatever (not parted) created that extended
partition that they didn't leave the required space before the first
logical partition. There's nothing that parted can do about that.

Although given how often this seems to come up I may look at adding an
actual error output instead of using the assert.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart